java.lang.Object

com.opentok.AudioConnectorProperties


public class AudioConnectorProperties extends Object

Defines values for the properties parameter of the OpenTok.connectAudioStream(String, String, AudioConnectorProperties) method.

Nested Class Summary

Nested Classes

Modifier and Type

Class

Description

static class

AudioConnectorProperties.Builder

Intermediary stateful object used to construct AudioConnectorProperties.

Method Summary

All MethodsInstance MethodsConcrete Methods

Modifier and Type

Method

Description

Map<String,String>

headers()

Additional headers to include in the request body.

Collection<String>

streams()

(OPTIONAL) A collection of stream IDs for the OpenTok streams included in the WebSocket audio.

String

type()

Returns the name of the JSON object for the connection request body.

URI

uri()

The WebSocket URI to be used for the destination of the audio stream.

Methods inherited from class java.lang.Object

equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Method Details

uri

public URI uri()

The WebSocket URI to be used for the destination of the audio stream.

Returns: : A valid, non-null URI.

streams

public Collection<String> streams()

(OPTIONAL) A collection of stream IDs for the OpenTok streams included in the WebSocket audio. If this collection is empty, all streams in the session will be included.

Returns: : An immutable collection of stream IDs, if present.

headers

public Map<String,String> headers()

Additional headers to include in the request body. NOTE: The maximum length is 512 bytes.

Returns: : An immutable map of additional properties, if present.

type

public String type()

Returns the name of the JSON object for the connection request body.

Returns: : "websocket".